/**
 * ViewBox
 * @author Pavel Khoroshkov aka pgood
 * @link https://github.com/pgooood/viewbox
 */
!function(e){e.fn.viewbox=function(n){function t(t,i){var a,c,r=o("body"),d=o("content")
t&&d.width(t),i&&d.height(i),C?(a=r.width(),c=r.height()):(C=!0,e("body").append(M),M.show(),a=r.width(),c=r.height(),M.hide(),M.fadeIn(n.openDuration)),r.css({"margin-left":-a/2,"margin-top":-c/2}),m(),e(document).off("keyup",keyup),e(document).keyup(keyup)}function i(t){if(void 0!==t)return void("function"==typeof t&&z.push(t))
C&&M.fadeOut(n.closeDuration,function(){M.detach(),C=!1
for(var e=[];z.length;)e.push(z.shift())
for(;e.length;)e.shift()()}),x(),e(document).off("keyup",keyup)}function o(e){return M.find(".viewbox-"+e)}function a(e,n){o(e).html(n)}function c(){var e=-1
return y&&k.each(function(n){if(y.is(this))return e=n,!1}),e}function r(){if(!(k.length<=1)){var e=c()+1
e>=k.length&&(e=0)
var n=k.eq(e)
n.is("img")?g(n):n.click()}}function d(){if(!(k.length<=1)){var e=c()-1
e<0&&(e=k.length-1)
var n=k.eq(e)
n.is("img")?g(n):n.click()}}function u(e){return e.match(/(png|jpg|jpeg|gif)$/i)}function l(n){return n.match(/^#.+$/i)&&e(n).length}function s(e){return!!e.attr("src")&&e.get(0).complete}function h(e){e?D.appendTo(o("body")):D.detach()}function v(n){var t=e('<div class="viewbox-button-default viewbox-button-'+n+'"></div>'),i=window.location.pathname+window.location.search+"#viewbox-"+n+"-icon"
return t.appendTo(M).get(0).insertAdjacentHTML("afterbegin",'<svg><use xlink:href="'+i+'"/></svg>'),t}function w(i,c){s(i)||h(!0),a("content",""),a("header",c),t(),i.trigger("viewbox.open")
var r=o("body"),d=0,u=o("content"),l=window.setInterval(function(){if(!s(i)&&d<1e3)return void d++
window.clearInterval(l),h(!1),e("body").append(i)
var t=r.width()-u.width()+2*n.margin,o=r.height()-u.height()+2*n.margin,a=e(window).width()-t,c=e(window).height()-o,v=i.width(),w=i.height()
i.detach(),v>a&&(w=w*a/v,v=a),w>c&&(v=v*c/w,w=c),T=!0,r.animate({"margin-left":-(v+t)/2+n.margin,"margin-top":-(w+o)/2+n.margin},n.resizeDuration),u.animate({width:v,height:w},n.resizeDuration,function(){u.append(i),T=!1})},s(i)?0:200)}function f(n,c){var r=e('<div class="viewbox-content-placeholder"></div>'),d=e(n)
d.before(r),i(function(){r.before(d),r.detach()}),a("content",""),a("header",c),o("content").append(d),t("auto","auto")}function g(t){if(!T){var i=t.attr("href"),o=n.setTitle&&t.attr("title")?t.attr("title"):""
if(t.is("img"))y=t,w(t,o)
else if(i)if(u(i)){y=t
var a=e('<img class="viewbox-image" alt="">').attr("src",i)
w(a,o)}else l(i)&&(y=t,f(i,o))
else y=t,f(t,o)}}function p(e){e=e||window.event,e.preventDefault&&e.preventDefault(),e.returnValue=!1}function b(e){if(B[e.keyCode])return p(e),!1}function m(){window.addEventListener&&window.addEventListener("DOMMouseScroll",p,!1),window.onwheel=p,window.onmousewheel=document.onmousewheel=p,window.ontouchmove=p,document.onkeydown=b}function x(){window.removeEventListener&&window.removeEventListener("DOMMouseScroll",p,!1),window.onmousewheel=document.onmousewheel=null,window.onwheel=null,window.ontouchmove=null,document.onkeydown=null}void 0===n&&(n={}),n=e.extend({template:'<div class="viewbox-container"><div class="viewbox-body"><div class="viewbox-header"></div><div class="viewbox-content"></div><div class="viewbox-footer"></div></div></div>',loader:'<div class="loader"><div class="spinner"><div class="double-bounce1"></div><div class="double-bounce2"></div></div></div>',setTitle:!0,margin:20,resizeDuration:400,openDuration:200,closeDuration:200,closeButton:!0,navButtons:!0,closeOnSideClick:!0,nextOnContentClick:!1,useGestures:!0},n)
var y,k=e(this),M=e(n.template),D=e(n.loader),C=!1,T=!1,z=[]
keyup=function(e){27==e.keyCode&&i(),37==(e.keyCode||e.which)&&d(),39==(e.keyCode||e.which)&&r()},e("#viewbox-sprite").length||e("body").get(0).insertAdjacentHTML("afterbegin",'<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" id="viewbox-sprite" style="display:none"><symbol id="viewbox-close-icon" viewBox="0 0 50 50"><path d="M37.304 11.282l1.414 1.414-26.022 26.02-1.414-1.413z"/><path d="M12.696 11.282l26.022 26.02-1.414 1.415-26.022-26.02z"/></symbol><symbol id="viewbox-prev-icon" viewBox="0 0 50 50"><path d="M27.3 34.7L17.6 25l9.7-9.7 1.4 1.4-8.3 8.3 8.3 8.3z"/></symbol><symbol id="viewbox-next-icon" viewBox="0 0 50 50"><path d="M22.7 34.7l-1.4-1.4 8.3-8.3-8.3-8.3 1.4-1.4 9.7 9.7z"/></symbol></svg>'),M.bind("viewbox.close",function(){i()}),M.bind("viewbox.open",function(e,n){var t=function(){k.length&&g(k.eq(n>=0&&n<k.length?n:0))}
C?(i(t),i()):t()}),k.filter("a").click(function(){return g(e(this)),!1}),o("body").click(function(e){e.stopPropagation(),n.nextOnContentClick&&r()}),n.closeButton&&v("close").click(function(e){e.stopPropagation(),i()}),n.navButtons&&k.length>1&&(v("next").click(function(e){e.stopPropagation(),r()}),v("prev").click(function(e){e.stopPropagation(),d()})),n.closeOnSideClick&&M.click(function(){i()}),n.useGestures&&"ontouchstart"in document.documentElement&&function(e,n){if("function"==typeof n){var t,i
e.on("touchstart",function(e){var n=e.originalEvent.changedTouches[0]
t={x:n.pageX,y:n.pageY},i=(new Date).getTime()}),e.on("touchend",function(e){var o=e.originalEvent.changedTouches[0],a="none",c=(new Date).getTime()-i,r={x:o.pageX,y:o.pageY},d={x:r.x-t.x,y:r.y-t.y}
c<=300&&(Math.abs(d.x)>=150&&Math.abs(d.y)<=100?a=d.x<0?"left":"right":Math.abs(d.y)>=150&&Math.abs(d.x)<=100&&(a=d.y<0?"up":"down")),n.call(this,a)})}}(M,function(e){switch(e){case"left":r()
break
case"right":d()}})
var B={37:1,38:1,39:1,40:1}
return M}}(jQuery)
